<?php

declare(strict_types=1);

namespace App\Filament\Resources\DberpEmployees\Pages;

use App\Filament\Resources\DberpEmployees\DberpEmployeeResource;
use Filament\Actions\CreateAction;
use Filament\Resources\Pages\ListRecords;
use Illuminate\Contracts\Support\Htmlable;

class ListDberpEmployees extends ListRecords
{
    protected static string $resource = DberpEmployeeResource::class;

    public function getSubheading(): string|Htmlable|null
    {
        return (string) __('dberp.ui.organization_list_employee_intro');
    }

    protected function getHeaderActions(): array
    {
        return [
            CreateAction::make(),
        ];
    }
}
